at.chipkarte.client.fus.soap

## Class BkErstformular

- Object
- - at.chipkarte.client.fus.soap.BkErstformular

-     public class BkErstformular
      extends Object

  Beinhaltet die Eingangsdaten zur Erfassung eines Formulars durch den Vertragspartner.
  Die Daten werden teils aufgrund der Eingaben des Benutzers und teils aufgrund automatischer Ermittlungen im Zuge der Erfassung befüllt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BkErstformular()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BKADaten` | `getBka()` Formular spezifischer Daten eines BKA Formulars.
    `BKMDaten` | `getBkm()` Formular spezifischer Daten eines BKM Formulars.
    `String` | `getFormulartyp()` Typ des Formulars.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `void` | `setBka(BKADaten bka)`
    `void` | `setBkm(BKMDaten bkm)`
    `void` | `setFormulartyp(String formulartyp)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BkErstformular

          public BkErstformular()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Für die Angabe gilt: Es muss entweder
      - eine im eCS bekannte SV-Person mittels SV-Nummer in ``bkErstformular`` oder mittels eines mit e-card erstellten `cardToken` angegeben werden oder
      - eine im eCS unbekannte Person mittels SV-Nummer in ``bka`/`bkm`` erfasst werden.
      Wird eine im eCS bekannte SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Wird eine im eCS unbekannte SV-Nummer in bka/bkm angegeben, ist die Angabe eines CardTokens bzw. einer SV-Nummer in bkErstformular nicht zulässig.
      Format: 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getFormulartyp

          public String getFormulartyp()

      Typ des Formulars.
      Mögliche Werte siehe `FormulartypConstants`. Es sind nur die Werte BKA und BKM gültig.
      Angabe: Muss.
      Returns:
        Formulartyp.

    - #### setFormulartyp

          public void setFormulartyp(String formulartyp)

    - #### getBka

          public BKADaten getBka()

      Formular spezifischer Daten eines BKA Formulars. Siehe `BKADaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich BKA.
      Returns:
        BKADaten.

    - #### setBka

          public void setBka(BKADaten bka)

    - #### getBkm

          public BKMDaten getBkm()

      Formular spezifischer Daten eines BKM Formulars. Siehe `BKMDaten`.
      Angabe: Bedingt. Muss angegeben werden wenn Formulartyp gleich BKM.
      Returns:
        BKMDaten.

    - #### setBkm

          public void setBkm(BKMDaten bkm)